package com.os.ems.base.mapper;

import java.util.List;

import com.os.ems.base.domain.EmsBaseMonitorThreshold;

/**
 * 计量设备阈值维护Mapper接口
 *
 * @author Yinq
 * @date 2024-07-09
 */
public interface EmsBaseMonitorThresholdMapper {
    /**
     * 查询计量设备阈值维护
     *
     * @param objId 计量设备阈值维护主键
     * @return 计量设备阈值维护
     */
    public EmsBaseMonitorThreshold selectEmsBaseMonitorThresholdByObjId(Long objId);

    /**
     * 查询计量设备阈值维护列表
     *
     * @param emsBaseMonitorThreshold 计量设备阈值维护
     * @return 计量设备阈值维护集合
     */
    public List<EmsBaseMonitorThreshold> selectEmsBaseMonitorThresholdList(EmsBaseMonitorThreshold emsBaseMonitorThreshold);

    /**
     * 新增计量设备阈值维护
     *
     * @param emsBaseMonitorThreshold 计量设备阈值维护
     * @return 结果
     */
    public int insertEmsBaseMonitorThreshold(EmsBaseMonitorThreshold emsBaseMonitorThreshold);

    /**
     * 修改计量设备阈值维护
     *
     * @param emsBaseMonitorThreshold 计量设备阈值维护
     * @return 结果
     */
    public int updateEmsBaseMonitorThreshold(EmsBaseMonitorThreshold emsBaseMonitorThreshold);

    /**
     * 删除计量设备阈值维护
     *
     * @param objId 计量设备阈值维护主键
     * @return 结果
     */
    public int deleteEmsBaseMonitorThresholdByObjId(Long objId);

    /**
     * 批量删除计量设备阈值维护
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsBaseMonitorThresholdByObjIds(Long[] objIds);
}
