package com.os.ems.base.mapper;

import java.util.List;
import com.os.ems.base.domain.EmsBaseWorkUnit;

/**
 * 统计单元信息Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-09
 */
public interface EmsBaseWorkUnitMapper 
{
    /**
     * 查询统计单元信息
     * 
     * @param objId 统计单元信息主键
     * @return 统计单元信息
     */
    public EmsBaseWorkUnit selectEmsBaseWorkUnitByObjId(Long objId);

    /**
     * 查询统计单元信息列表
     * 
     * @param emsBaseWorkUnit 统计单元信息
     * @return 统计单元信息集合
     */
    public List<EmsBaseWorkUnit> selectEmsBaseWorkUnitList(EmsBaseWorkUnit emsBaseWorkUnit);

    /**
     * 新增统计单元信息
     * 
     * @param emsBaseWorkUnit 统计单元信息
     * @return 结果
     */
    public int insertEmsBaseWorkUnit(EmsBaseWorkUnit emsBaseWorkUnit);

    /**
     * 修改统计单元信息
     * 
     * @param emsBaseWorkUnit 统计单元信息
     * @return 结果
     */
    public int updateEmsBaseWorkUnit(EmsBaseWorkUnit emsBaseWorkUnit);

    /**
     * 删除统计单元信息
     * 
     * @param objId 统计单元信息主键
     * @return 结果
     */
    public int deleteEmsBaseWorkUnitByObjId(Long objId);

    /**
     * 批量删除统计单元信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsBaseWorkUnitByObjIds(Long[] objIds);
}
