package com.os.mes.api.domain;


import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;

/**
 * 获取【政策与条款】-最新工资系数
 */
public class LatestSalary {

    /**
     * 调整日期
     */
    @JsonProperty("AdjustDate")
    private String AdjustDate;

    /**
     * 包胶系数
     */
    @JsonProperty("EncapsulationCoefficient")
    private BigDecimal EncapsulationCoefficient;

    /**
     * 包胶系数（钢丝带）
     */
    @JsonProperty("EncapsulationCoefficientGSD")
    private BigDecimal EncapsulationCoefficientGSD;

    /**
     * 成型每米薪酬
     */
    @JsonProperty("SalaryPerMeter")
    private BigDecimal SalaryPerMeter;

    /**
     * 出布系数
     */
    @JsonProperty("DistributionCoefficient")
    private BigDecimal DistributionCoefficient;

    /**
     * 成型系数
     */
    @JsonProperty("FormingCoefficient")
    private BigDecimal FormingCoefficient;

    /**
     * 硫化系数
     */
    @JsonProperty("VulcanizationCoefficient")
    private BigDecimal VulcanizationCoefficient;

    /**
     * 做头薪酬
     */
    @JsonProperty("HeadSalary")
    private BigDecimal HeadSalary;

    /**
     * 收尾薪酬
     */
    @JsonProperty("ClosingSalary")
    private BigDecimal ClosingSalary;

    /**
     * 接线每根钢丝绳薪酬
     */
    @JsonProperty("SalaryPerWireRope")
    private BigDecimal SalaryPerWireRope;

    /**
     * 钢丝绳基础工资系数
     */
    @JsonProperty("BasicSalaryCoefficient")
    private BigDecimal BasicSalaryCoefficient;

    /**
     * 挡边-每个隔板薪酬
     */
    @JsonProperty("DividerCompensation")
    private BigDecimal DividerCompensation;

    /**
     * 挡边-每米裙边薪酬
     */
    @JsonProperty("SkirtCompensation")
    private BigDecimal SkirtCompensation;

    public String getAdjustDate() {
        return AdjustDate;
    }

    public void setAdjustDate(String adjustDate) {
        AdjustDate = adjustDate;
    }

    public BigDecimal getEncapsulationCoefficient() {
        return EncapsulationCoefficient;
    }

    public void setEncapsulationCoefficient(BigDecimal encapsulationCoefficient) {
        EncapsulationCoefficient = encapsulationCoefficient;
    }

    public BigDecimal getEncapsulationCoefficientGSD() {
        return EncapsulationCoefficientGSD;
    }

    public void setEncapsulationCoefficientGSD(BigDecimal encapsulationCoefficientGSD) {
        EncapsulationCoefficientGSD = encapsulationCoefficientGSD;
    }

    public BigDecimal getSalaryPerMeter() {
        return SalaryPerMeter;
    }

    public void setSalaryPerMeter(BigDecimal salaryPerMeter) {
        SalaryPerMeter = salaryPerMeter;
    }

    public BigDecimal getDistributionCoefficient() {
        return DistributionCoefficient;
    }

    public void setDistributionCoefficient(BigDecimal distributionCoefficient) {
        DistributionCoefficient = distributionCoefficient;
    }

    public BigDecimal getFormingCoefficient() {
        return FormingCoefficient;
    }

    public void setFormingCoefficient(BigDecimal formingCoefficient) {
        FormingCoefficient = formingCoefficient;
    }

    public BigDecimal getVulcanizationCoefficient() {
        return VulcanizationCoefficient;
    }

    public void setVulcanizationCoefficient(BigDecimal vulcanizationCoefficient) {
        VulcanizationCoefficient = vulcanizationCoefficient;
    }

    public BigDecimal getHeadSalary() {
        return HeadSalary;
    }

    public void setHeadSalary(BigDecimal headSalary) {
        HeadSalary = headSalary;
    }

    public BigDecimal getClosingSalary() {
        return ClosingSalary;
    }

    public void setClosingSalary(BigDecimal closingSalary) {
        ClosingSalary = closingSalary;
    }

    public BigDecimal getSalaryPerWireRope() {
        return SalaryPerWireRope;
    }

    public void setSalaryPerWireRope(BigDecimal salaryPerWireRope) {
        SalaryPerWireRope = salaryPerWireRope;
    }

    public BigDecimal getBasicSalaryCoefficient() {
        return BasicSalaryCoefficient;
    }

    public void setBasicSalaryCoefficient(BigDecimal basicSalaryCoefficient) {
        BasicSalaryCoefficient = basicSalaryCoefficient;
    }

    public BigDecimal getDividerCompensation() {
        return DividerCompensation;
    }

    public void setDividerCompensation(BigDecimal dividerCompensation) {
        DividerCompensation = dividerCompensation;
    }

    public BigDecimal getSkirtCompensation() {
        return SkirtCompensation;
    }

    public void setSkirtCompensation(BigDecimal skirtCompensation) {
        SkirtCompensation = skirtCompensation;
    }

    @Override
    public String toString() {
        return "LatestSalary{" +
                "AdjustDate='" + AdjustDate + '\'' +
                ", EncapsulationCoefficient=" + EncapsulationCoefficient +
                ", EncapsulationCoefficientGSD=" + EncapsulationCoefficientGSD +
                ", SalaryPerMeter=" + SalaryPerMeter +
                ", DistributionCoefficient=" + DistributionCoefficient +
                ", FormingCoefficient=" + FormingCoefficient +
                ", VulcanizationCoefficient=" + VulcanizationCoefficient +
                ", HeadSalary=" + HeadSalary +
                ", ClosingSalary=" + ClosingSalary +
                ", SalaryPerWireRope=" + SalaryPerWireRope +
                ", BasicSalaryCoefficient=" + BasicSalaryCoefficient +
                ", DividerCompensation=" + DividerCompensation +
                ", SkirtCompensation=" + SkirtCompensation +
                '}';
    }
}
