package com.os.mes.base.domain;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 工序信息对象 base_process_info
 *
 * @author Yinq
 * @date 2024-05-23
 */
public class BaseProcessInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 工序编号
     */
    @Excel(name = "工序编号")
    private String processCode;

    /**
     * 工序名称
     */
    @Excel(name = "工序名称")
    private String processName;

    /**
     * 工序类型（1生产工序）
     */
    @Excel(name = "工序类型", readConverterExp = "1=生产工序")
    private String processType;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    private String productLineCode;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    private String productLineName;

    /**
     * 工位编号
     */
    @Excel(name = "工位编号")
    private String stationCodes;

    /**
     * 工位名称
     */
    @Excel(name = "工位名称")
    private String stationNames;

    /**
     * 日产能
     */
    @Excel(name = "日产能")
    private BigDecimal capacityDay;

    /**
     * 月产能
     */
    @Excel(name = "月产能")
    private BigDecimal capacityMonth;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private String isFlag;

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getStationNames() {
        return stationNames;
    }

    public void setStationNames(String stationNames) {
        this.stationNames = stationNames;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessType(String processType) {
        this.processType = processType;
    }

    public String getProcessType() {
        return processType;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setStationCodes(String stationCodes) {
        this.stationCodes = stationCodes;
    }

    public String getStationCodes() {
        return stationCodes;
    }

    public void setCapacityDay(BigDecimal capacityDay) {
        this.capacityDay = capacityDay;
    }

    public BigDecimal getCapacityDay() {
        return capacityDay;
    }

    public void setCapacityMonth(BigDecimal capacityMonth) {
        this.capacityMonth = capacityMonth;
    }

    public BigDecimal getCapacityMonth() {
        return capacityMonth;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("processCode", getProcessCode())
                .append("processName", getProcessName())
                .append("processType", getProcessType())
                .append("productLineCode", getProductLineCode())
                .append("stationCodes", getStationCodes())
                .append("capacityDay", getCapacityDay())
                .append("capacityMonth", getCapacityMonth())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
