package com.os.mes.base.mapper;

import java.util.List;
import com.os.mes.base.domain.BaseProcessInfo;

/**
 * 工序信息Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-23
 */
public interface BaseProcessInfoMapper 
{
    /**
     * 查询工序信息
     * 
     * @param objId 工序信息主键
     * @return 工序信息
     */
    public BaseProcessInfo selectBaseProcessInfoByObjId(Long objId);

    /**
     * 查询工序信息列表
     * 
     * @param baseProcessInfo 工序信息
     * @return 工序信息集合
     */
    public List<BaseProcessInfo> selectBaseProcessInfoList(BaseProcessInfo baseProcessInfo);

    /**
     * 新增工序信息
     * 
     * @param baseProcessInfo 工序信息
     * @return 结果
     */
    public int insertBaseProcessInfo(BaseProcessInfo baseProcessInfo);

    /**
     * 修改工序信息
     * 
     * @param baseProcessInfo 工序信息
     * @return 结果
     */
    public int updateBaseProcessInfo(BaseProcessInfo baseProcessInfo);

    /**
     * 删除工序信息
     * 
     * @param objId 工序信息主键
     * @return 结果
     */
    public int deleteBaseProcessInfoByObjId(Long objId);

    /**
     * 批量删除工序信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseProcessInfoByObjIds(Long[] objIds);
}
